Subject: [mpls] Working group last call on draft-ietf-mpls-spring-lsp-ping

From: Loa Andersson <[email-masked]>
Date: Tue, 11 Jul 2017 11:35:55 +0200

Working Groups,

This is to initiate a two week MPLS working group last call in on
draft-ietf-mpls-spring-lsp-ping-03.

Please send your comments to the mpls wg mailing list ([email-masked]).

There are no IPR disclosures against this document.

All the authors and contributors have stated on the working group
mailing list that they are not aware of any other IPRs that relates
to this document.

As usual when a wglc is across an IETF week we do not count that week,
this working group last call therefore ends August 1, 2017.

/Loa
MPLS wg co-chairs

PS

I was a bit trigger happy and started this wglc with an ambiguous
subjet. Please use this mail when you are responding to the wglc.
-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Huawei Technologies (consultant)     phone: +46 739 81 21 64

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 11 Jul 2017 07:15:36 -0400

Loa,

I believe that this draft is ready for publication.

Cheers,
Andy

On Tue, Jul 11, 2017 at 5:35 AM, Loa Andersson <[email-masked]> wrote:

> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>

---

From: "Nagendra Kumar Nainar (naikumar)" <[email-masked]>
Date: Wed, 12 Jul 2017 19:07:23 +0000

Support as co-author.

Thanks,
Nagendra

On 7/11/17, 5:35 AM, "Loa Andersson" <[email-masked]> wrote:

    Working Groups,

    

    /Loa
    MPLS wg co-chairs
    
    PS

---

From: Sri <[email-masked]>
Date: Thu, 13 Jul 2017 07:30:46 -0700

Support as co-author.

Sri

---

From: "Faisal Iqbal (faiqbal)" <[email-masked]>
Date: Thu, 13 Jul 2017 14:43:06 +0000

I support this document as a contributor.

Thanks,
Faisal Iqbal

-----Original Message-----
From: mpls [mailto:[email-masked]] On Behalf Of Nagendra Kumar Nainar (naikumar)
Sent: Wednesday, July 12, 2017 3:07 PM
To: Loa Andersson <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [mpls] Working group last call on draft-ietf-mpls-spring-lsp-ping

Support as co-author.

Thanks,
Nagendra

    Working Groups,

    

    /Loa
    MPLS wg co-chairs
    
    PS

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 13 Jul 2017 08:39:30 -0700

Hi Loa,
I've read, reviewed the draft and believe it is ready for publication.

Regards,
Greg

---

From: "Tarek Saad (tsaad)" <[email-masked]>
Date: Sat, 15 Jul 2017 18:34:42 +0000

I support publication of this document as a contributor.

Regards,
Tarek

-----Original Message-----
From: Loa Andersson <[email-masked]>
Date: Tuesday, July 11, 2017 at 5:35 AM
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Working group last call on draft-ietf-mpls-spring-lsp-ping
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, Tarek Saad <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Tuesday, July 11, 2017 at 5:36 AM

    Working Groups,

    

    /Loa
    MPLS wg co-chairs
    
    PS

---

From: Loa Andersson <[email-masked]>
Date: Tue, 18 Jul 2017 10:28:45 +0200

Working Group,

I've reviewed this draft - with one exception it is mainly nits, I've 
sent those directly to the authors.

The non-nit is that when you define a new IANA registry you also have
to define the allocation policies, as far as I see this is not done.

Update needed.

/Loa

--

---

From: Uma Chunduri <[email-masked]>
Date: Tue, 18 Jul 2017 10:01:13 +0000

Support.

(Was part of the implementation team of this draft in my past life!)

--
Uma C.

-----Original Message-----
From: mpls [mailto:[email-masked]] On Behalf Of Loa Andersson
Sent: Tuesday, July 11, 2017 2:36 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: [mpls] Working group last call on draft-ietf-mpls-spring-lsp-ping

Working Groups,

This is to initiate a two week MPLS working group last call in on draft-ietf-mpls-spring-lsp-ping-03.

All the authors and contributors have stated on the working group mailing list that they are not aware of any other IPRs that relates to this document.

As usual when a wglc is across an IETF week we do not count that week, this working group last call therefore ends August 1, 2017.

/Loa
MPLS wg co-chairs

PS

I was a bit trigger happy and started this wglc with an ambiguous subjet. Please use this mail when you are responding to the wglc.
--

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 18 Jul 2017 10:14:48 +0000

Thanks Loa!

WG,

We worked the following update together with Loa for the non-nit issue identified, to be included in the post WGLC rev:

   IANA is requested to create a new "Protocol"  registry under the
   "Multi-Protocol Label Switching (MPLS) Label Switched Paths (LSPs)
   Ping Parameters" registry. Code points in the range of 0-250
   will be assigned by Standards Action. The range of 251-254 and will
   not be assigned. The initial entries into the registry will be.

      Value                 Meaning               Reference
    ----------        -----------------         ------------
       0                    Unknown           Section 3.4.1.2 (RFC8029)
       1                    Static            Section 3.4.1.2 (RFC8029)
       2                    BGP               Section 3.4.1.2 (RFC8029)
       3                    LDP               Section 3.4.1.2 (RFC8029)
       4                    RSVP-TE           Section 3.4.1.2 (RFC8029)
       5                    OSPF              Section 6 (this document)
       6                    ISIS              Section 6 (this document)
       7-250                unassigned
       251-254              Experimental use  (this document)
       255                  Reserved          (this document)

Thanks,

Sent from my iPad

> On Jul 18, 2017, at 10:28 AM, Loa Andersson <[email-masked]> wrote:
> 
> Working Group,
> 
> I've reviewed this draft - with one exception it is mainly nits, I've sent those directly to the authors.
>

---

From: Loa Andersson <[email-masked]>
Date: Tue, 18 Jul 2017 12:29:03 +0200

Carlos,

I goofed a bit - talked to Amanda and she suggested that we make the
policy:

      IANA is requested to create a new "Protocol"  registry under the
      "Multi-Protocol Label Switching (MPLS) Label Switched Paths (LSPs)
      Ping Parameters" registry. Code points in the range of 0-250
      will be assigned by Standards Action. The range of 251-254 are
      reserved for experimental use and will not be assigned. The
      initial entries into the registry will be.

/Loa

--

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 18 Jul 2017 10:39:04 +0000

That works. Adding the "are reserved for experimental use" that got dropped. 

Sent from my iPad

> On Jul 18, 2017, at 12:29 PM, Loa Andersson <[email-masked]> wrote:
> 
> are
>     reserved for experimental use